Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jdbc.dialect.spi
Interface DialectFactory

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  DialectFactoryImpl

    public interface DialectFactory

extends Service

A factory for generating Dialect instances.

Method Summary
`Dialect` | `buildDialect(Map configValues, Connection connection)` Builds an appropriate Dialect instance.

Method Detail

### buildDialect

    Dialect buildDialect(Map configValues,
                         Connection connection)
                         throws HibernateException

  Builds an appropriate Dialect instance.

  If a dialect is explicitly named in the incoming properties, it should used. Otherwise, it is determined by dialect resolvers based on the passed connection.

  An exception is thrown if a dialect was not explicitly set and no resolver could make the determination from the given connection.

  Parameters:
    `configValues` - The configuration properties.
    `connection` - The configured connection.
  Returns:
    The appropriate dialect instance.
  Throws:
    `HibernateException` - No dialect specified and no resolver could make the determination.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.